#include <16F877.h>

#FUSES NOWDT, XT, NOPUT, NOPROTECT, BROWNOUT, NOLVP, NOCPD
#use delay(clock=4000000)

#byte PORTD = 0x08	//PORTD regiszterre mutat pointer

//================================================================
#int_RB
void RB_isr() {
//================================================================
	PORTD ^= 0xFF;
}

//================================================================
void main(){
//================================================================
 set_tris_d(0b00000000);	//PORTD kimenet
 output_d(0b01010101);		//LED bekapcs
 set_tris_b(0b11110000);	//PORTB4:7 bemenet

 enable_interrupts(INT_RB); //RB4:7 megszakts be
 enable_interrupts(GLOBAL); //GIE bekapcsol

 for(;;) {
	//Semmit nem csinlunk
 }//for
}//main
